# Because dash is not allowed in RPM version numbers
%global real_version 1.6.5-1

Name:           swingx
Version:        1.6.5.1
Release:        2%{?dist}
Summary:        A collection of Swing components
License:        LGPLv2
Group:          Development/Libraries
Url:            https://swingx.java.net/
# Generated by
# svn export https://svn.java.net/svn/swingx~svn/tags/swingx-project-1.6.5-1/
# tar -cJf swingx-project-1.6.5-1.tar.xz swingx-project-1.6.5-1
Source0:        swingx-project-%{real_version}.tar.xz

# Remove dep that is not needed for successful test run
Patch0:         swingx-remove-jhlabs-filters.patch
# Remove use of internal com.sun API for Java 7 compatibility
Patch1:         swingx-java7-swing-painter-compat.patch
# Accomodate in tests for extra validation performed in Java 7
Patch2:         swingx-java7-treepath-compat.patch
# These two tests fail for an unknown reason
Patch3:         swingx-uititlelabel-test-failure.patch

BuildArch:      noarch

BuildRequires:      maven-local
BuildRequires:      mvn(org.kohsuke.metainf-services:metainf-services)
BuildRequires:      mvn(org.mockito:mockito-core)
BuildRequires:      java-devel >= 0:1.6.0
BuildRequires:      jpackage-utils

Requires:           java >= 0:1.6.0
Requires:           jpackage-utils

%description
SwingX contains a collection of powerful, useful, and just plain fun Swing
components. Each of the Swing components have been extended, providing
data-aware functionality out of the box. New useful components have been
created like the JXDatePicker, JXTaskPane, and JXImagePanel.


%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-project-%{real_version}
%patch0 -p1 -b.orig
%patch1 -p0 -b.orig
%patch2 -p0 -b.orig
%patch3 -p0 -b.orig

# Remove all binaries
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;
find . -name "*.so" -exec rm -f {} \;
find . -name "*.dll" -exec rm -f {} \;

# Remove test dep not in Fedora
%pom_remove_dep com.jhlabs:filters
%pom_remove_dep com.jhlabs:filters swingx-core
%pom_remove_dep com.jhlabs:filters swingx-painters


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc COPYING


%files javadoc -f .mfiles-javadoc
%doc COPYING


%changelog
* Tue Sep 17 2013 Mat Booth <fedora@matbooth.co.uk> - 1.6.5.1-2
- Remove bundled prebuilt binaries, rhbz #1005500

* Mon Jul 29 2013 Mat Booth <fedora@matbooth.co.uk> - 1.6.5.1-1
- Update to latest upstream, rhbz #964407
- Update spec for latest guidelines

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 01 2011 Omair Majid <omajid@redhat.com> - 0.9.5-1
- Fix issues pointed out in the package review

* Thu Jan 13 2011 Omair Majid <omajid@redhat.com> - 0.9.5-1
- Update to 0.9.5

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec  9 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-5
- Add dist to version
- Fix BuildRoot to follow the latest guidelines

* Mon Nov 24 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-4
- Add comments explaining the patches
- Update Summary following discussion on fedora-devel list

* Thu Nov  6 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-3
- Flag Maven depmap as "config"

* Wed Nov  5 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-2
- Fix cosmetic issues in spec file
- Add ant-nodeps to BuildRequires

* Tue Nov  4 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-1
- Initial package
